# Enum Class NexusImporter.NexusBlock

java.lang.Object
java.lang.Enum<NexusImporter.NexusBlock>
jebl.evolution.io.NexusImporter.NexusBlock

All Implemented Interfaces:
  `Serializable, Comparable<NexusImporter.NexusBlock>, Constable`

Enclosing class:
  `NexusImporter`

public static enum NexusImporter.NexusBlock extends Enum<NexusImporter.NexusBlock>
Represents the block types used in the nexus format

Version:
  $Id: NexusImporter.java 1052 2010-05-10 00:45:35Z richardmoir $
Author:
  Andrew Rambaut, Alexei Drummond

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CHARACTERS`
`DATA`
`DISTANCES`
`TAXA`
`TREES`
`UNALIGNED`
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`static NexusImporter.NexusBlock`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static NexusImporter.NexusBlock[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNKNOWN

public static final NexusImporter.NexusBlock UNKNOWN

### TAXA

public static final NexusImporter.NexusBlock TAXA

### CHARACTERS

public static final NexusImporter.NexusBlock CHARACTERS

### DATA

public static final NexusImporter.NexusBlock DATA

### UNALIGNED

public static final NexusImporter.NexusBlock UNALIGNED

### DISTANCES

public static final NexusImporter.NexusBlock DISTANCES

### TREES

public static final NexusImporter.NexusBlock TREES

## Method Details

### values

public static NexusImporter.NexusBlock[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static NexusImporter.NexusBlock valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null